Subject: bug#22815: 25.0.91; emacs-module.*

From: [email-masked]
Date: Fri, 26 Feb 2016 19:09:57 +0900

Eli Zaretskii writes:
> > From: [email-masked]
> > Cc: Atsuo Ohki <[email-masked]>, [email-masked]
> > Date: Fri, 26 Feb 2016 18:16:05 +0900
> > 
> > > But why cannot the module convert the string to UTF-8 before passing
> > > it to Emacs?
> > 
> >  Because, an external module could use a coding system other then UTF-8.
> >  I have used emacs-module capability to plugin CANNA server interface
> >  (CANNA server is a rather out of dated KANA-KANJI converter for japanese),
> >  and CANNA server uses euc-jp encoding for communication.
> 
> I was asking why couldn't the plug-in do the conversion, e.g., by
> using libiconv?  Emacs is not the only piece of software that knows
> how to convert from one encoding to another.

 I considered using libiconv once, but Emacs has the conversion
 capability, so why not use it.  It is simple to use Emacs itself for
 conversion, than using different conversion library, as long as a
 plugin runs as a part of Emacs process.